# _Deflect Gods_

> Adding 2 unit specialized in deflection, worthy of title called **Deflect God**! 

You can find them in the **Secret** and **Evil Fantasy** factions.

## Additions

| Unit | Description |
| -- | -- |
| **Bastion** | An abandoned castle has been given life transmutation by an unknown mage at an attempt to tamper with the secret of life. Having the personality of a castle, its highly territorial and massive in scale, having immense size, protection and brute force strength more than a mere giant. It always carries a giant gate which acts as shield, having formidably great size and arduous materials. The gate itself was enchanted by a magical sacrifical rite, making it fully block any incoming attacks and projectiles! <br><br>Bringing it down needs a truly proper plan of strategy, as it is a danger to reckon heavily, a literal walking castle! |
| **Godslayer** | Ambition of wrath taken form, blade in hands, bring forth eternal damnation. Its null-edge swords is sharp enough to kill you 1000 times! Even without touching, its sharp aura slices units aparts like a beast talon. Having the knowledge of ancient and unknown swords artistry, he swirls his swords easily to hit as much target at once like a scythe! <br><br>At the center of his soul lies infernal pyre, capable of deflecting and blocking attacks directly. Reincarnated and duty-bound from the mistake of a forgotten *False God*. Stuck on cycle of conflict and grief, he's determined to *SEEK, DESTROY, AND CONQUER!* |

## Credit

The mod is created and managed by **Geezt Jeez**.

Built using **SFT** as a foundation.

## Changelogs

#### (1.1.0)

- Updated dependencies.
- Reduced **Godslayer** visual noise.
- Changed a few stats.

#### (1.0.9)

- Upgraded all unit designs.
- Changed mod descriptions.
- Removed mod loading delay.
- Fixed sounds and vocal issues.
- Added more mass to both of the units.
- Improved some stats to be more balanced.
- Renamed **Deflect Bastion** to **Bastion**.
- Renamed all items and added icons for them.
- For someone named, **Godslayer**, he's not too great at doing his jobs, buffed his damage, mobility and offense even more!
- Optimized resources and code blocks.

#### (1.0.8)

- Added a new unit called **Godslayer**!
- Mod is renamed to be called **DeflectGods** instead of **DeflectShieldGod**, the old version is now deprecated.
- Fixed to be compatible with the new TABS update.
- Now uses **SLMACore** to load faster. 

#### (1.0.7)

- .dll isn't updated, so now it is updated.

#### (1.0.6)

- Fixed *Deflect Bastion* deflection ability not working properly.
- Changed some shield scales for visual reasons.

#### (1.0.5)

- New custom icon for *Deflect Bastion*.
- Improved *Deflect Bastion* on all sides.
- The cost of *Deflect Bastion* has been changed.
- The description of *Deflect Bastion* has been changed.
- Changed the Shield to a Tower Shield instead of a Ballistic Shield.
- Instead of being in its faction, *Deflect Bastion* now moved to a **Secret** faction!
- Removed Green health bar from *Deflect Bastion* due to it being non-related to the theme.
- Improved mod-page description to be more appealing to look at.
- Removed unused old File Resources.
- All items are now UC-compatible!

#### (1.0.4)

- Changed name from *Deflector* to *Deflect Bastion*.
- Changed some stuff for *Deflect Bastion*.
- Revamped mod description to be tidier.

#### (1.0.3)

- Added Green health bar for *Deflector*.
- The size multiplier changed to a maximal 1.9 and a minimal 1.8.

#### (1.0.2)

- The price is revamped to 80000 instead of 8000.
- Changed the *Deflector* Shield to Metal Material instead of normal grey.
- A customized voice for *Deflect Shield God*.

#### (1.0.1)

- The missing deflection and parry ability are now added.
- Custom Deflection is now bigger than usual.

#### (1.0.0)

- Added **Deflector** Faction and Added *Deflect Shield God* unit.
- Changed the *Deflect Shield God* Attributes.